/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author Shubhrangshu
 */
public class DepositAccountCreationBean {
    private String productCode;
    private String inttCategory;
    private String segmentCode;
    private String cifNumber;
    private String cbsSavingsAccount;
    private String limit;
    private String limitExpiryDate;
    private String collateralType;
    private String landinAcres;
    private String description;
    private String currentValuation;
    private String safeLendingMargin;
    private String activityCode;
    private String customerType;
    private String dep_product_id;
    private String inttDescription;
    private String productName;
    private String id;

    private String accOpenDate;
    private String ODlimit;
    private String inttrepmethod;
    private String intttransacc;
    private String termValue;
    private String termYears;
    private String termMonth;
    private String termDays;
    private String instAmt;
    private String memberno;
    private String cifNumber2;
    private String cifName;
    private String cifName2;
    private String nominee;
    private String nomineeName;
/*Added New Fileds by bitan For multiple CIF to same Dep Account*/
    private String jt_cifNumber1;
    private String jt_cifNumber2;
    private String jt_cifNumber3;
    private String jt_cifNumber4;
    private String jt_cifNumber5;
    private String jt_cifNumber6;
    private String jt_cifNumber7;
    private String jt_cifNumber8;
    private String jt_cifNumber9;
    private String jt_cifNumber10;

    private String jt_cifName1;
    private String jt_cifName2;
    private String jt_cifName3;
    private String jt_cifName4;
    private String jt_cifName5;
    private String jt_cifName6;
    private String jt_cifName7;
    private String jt_cifName8;
    private String jt_cifName9;
    private String jt_cifName10;
    private String intRate;
    private String penIntRate;

    public String getIntRate() {
        return intRate;
    }

    public void setIntRate(String intRate) {
        this.intRate = intRate;
    }

    public String getPenIntRate() {
        return penIntRate;
    }

    public void setPenIntRate(String penIntRate) {
        this.penIntRate = penIntRate;
    }
    /*END*/
    public String getNomineeName() {
        return nomineeName;
    }

    public void setNomineeName(String nomineeName) {
        this.nomineeName = nomineeName;
    }

    public String getNominee() {
        return nominee;
    }

    public void setNominee(String nominee) {
        this.nominee = nominee;
    }

    public String getCifName() {
        return cifName;
    }

    public void setCifName(String cifName) {
        this.cifName = cifName;
    }

    public String getCifName2() {
        return cifName2;
    }

    public void setCifName2(String cifName2) {
        this.cifName2 = cifName2;
    }

    public String getCifNumber2() {
        return cifNumber2;
    }

    public void setCifNumber2(String cifNumber2) {
        this.cifNumber2 = cifNumber2;
    }

    public String getMemberno() {
        return memberno;
    }

    public void setMemberno(String memberno) {
        this.memberno = memberno;
    }

    public String getInstAmt() {
        return instAmt;
    }

    public void setInstAmt(String instAmt) {
        this.instAmt = instAmt;
    }

    public String getTermDays() {
        return termDays;
    }

    public void setTermDays(String termDays) {
        this.termDays = termDays;
    }

    public String getTermMonth() {
        return termMonth;
    }

    public void setTermMonth(String termMonth) {
        this.termMonth = termMonth;
    }

    public String getTermYears() {
        return termYears;
    }

    public void setTermYears(String termYears) {
        this.termYears = termYears;
    }



    public String getTermValue() {
        return termValue;
    }

    public void setTermValue(String termValue) {
        this.termValue = termValue;
    }



    public String getInttrepmethod() {
        return inttrepmethod;
    }

    public void setInttrepmethod(String inttrepmethod) {
        this.inttrepmethod = inttrepmethod;
    }

    public String getIntttransacc() {
        return intttransacc;
    }

    public void setIntttransacc(String intttransacc) {
        this.intttransacc = intttransacc;
    }



    public String getAccOpenDate() {
        return accOpenDate;
    }

    public void setAccOpenDate(String accOpenDate) {
        this.accOpenDate = accOpenDate;
    }

    public String getODlimit() {
        return ODlimit;
    }

    public void setODlimit(String ODlimit) {
        this.ODlimit = ODlimit;
    }




    /**
     * @return the productCode
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * @param productCode the productCode to set
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    /**
     * @return the inttCategory
     */
    public String getInttCategory() {
        return inttCategory;
    }

    /**
     * @param inttCategory the inttCategory to set
     */
    public void setInttCategory(String inttCategory) {
        this.inttCategory = inttCategory;
    }

    /**
     * @return the segmentCode
     */
    public String getSegmentCode() {
        return segmentCode;
    }

    /**
     * @param segmentCode the segmentCode to set
     */
    public void setSegmentCode(String segmentCode) {
        this.segmentCode = segmentCode;
    }

    /**
     * @return the cifNumber
     */
    public String getCifNumber() {
        return cifNumber;
    }

    /**
     * @param cifNumber the cifNumber to set
     */
    public void setCifNumber(String cifNumber) {
        this.cifNumber = cifNumber;
    }

    /**
     * @return the cbsSavingsAccount
     */
    public String getCbsSavingsAccount() {
        return cbsSavingsAccount;
    }

    /**
     * @param cbsSavingsAccount the cbsSavingsAccount to set
     */
    public void setCbsSavingsAccount(String cbsSavingsAccount) {
        this.cbsSavingsAccount = cbsSavingsAccount;
    }

    /**
     * @return the limit
     */
    public String getLimit() {
        return limit;
    }

    /**
     * @param limit the limit to set
     */
    public void setLimit(String limit) {
        this.limit = limit;
    }

    /**
     * @return the limitExpiryDate
     */
    public String getLimitExpiryDate() {
        return limitExpiryDate;
    }

    /**
     * @param limitExpiryDate the limitExpiryDate to set
     */
    public void setLimitExpiryDate(String limitExpiryDate) {
        this.limitExpiryDate = limitExpiryDate;
    }

    /**
     * @return the collateralType
     */
    public String getCollateralType() {
        return collateralType;
    }

    /**
     * @param collateralType the collateralType to set
     */
    public void setCollateralType(String collateralType) {
        this.collateralType = collateralType;
    }

    /**
     * @return the landinAcres
     */
    public String getLandinAcres() {
        return landinAcres;
    }

    /**
     * @param landinAcres the landinAcres to set
     */
    public void setLandinAcres(String landinAcres) {
        this.landinAcres = landinAcres;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the currentValuation
     */
    public String getCurrentValuation() {
        return currentValuation;
    }

    /**
     * @param currentValuation the currentValuation to set
     */
    public void setCurrentValuation(String currentValuation) {
        this.currentValuation = currentValuation;
    }

    /**
     * @return the safeLendingMargin
     */
    public String getSafeLendingMargin() {
        return safeLendingMargin;
    }

    /**
     * @param safeLendingMargin the safeLendingMargin to set
     */
    public void setSafeLendingMargin(String safeLendingMargin) {
        this.safeLendingMargin = safeLendingMargin;
    }

    /**
     * @return the activityCode
     */
    public String getActivityCode() {
        return activityCode;
    }

    /**
     * @param activityCode the activityCode to set
     */
    public void setActivityCode(String activityCode) {
        this.activityCode = activityCode;
    }

    public String getCustomerType() {
        return customerType;
    }

    /**
     * @param customerType the customerType to set
     */
    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }

    /**
     * @return the dep_product_id
     */
    public String getDep_product_id() {
        return dep_product_id;
    }

    /**
     * @param dep_product_id the dep_product_id to set
     */
    public void setDep_product_id(String dep_product_id) {
        this.dep_product_id = dep_product_id;
    }

    /**
     * @return the inttDescription
     */
    public String getInttDescription() {
        return inttDescription;
    }

    /**
     * @param inttDescription the inttDescription to set
     */
    public void setInttDescription(String inttDescription) {
        this.inttDescription = inttDescription;
    }

    /**
     * @return the productName
     */
    public String getProductName() {
        return productName;
    }

    /**
     * @param productName the productName to set
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    public String getJt_cifNumber1() {
        return jt_cifNumber1;
    }

    
    public String getJt_cifNumber2() {
        return jt_cifNumber2;
    }

    public String getJt_cifNumber3() {
        return jt_cifNumber3;
    }

    public String getJt_cifNumber4() {
        return jt_cifNumber4;
    }

    public String getJt_cifNumber5() {
        return jt_cifNumber5;
    }

    public String getJt_cifNumber6() {
        return jt_cifNumber6;
    }

    public String getJt_cifNumber7() {
        return jt_cifNumber7;
    }

    public String getJt_cifNumber8() {
        return jt_cifNumber8;
    }

    public String getJt_cifNumber9() {
        return jt_cifNumber9;
    }

    public String getJt_cifNumber10() {
        return jt_cifNumber10;
    }

    
    public void setJt_cifNumber1(String jt_cifNumber1) {
        this.jt_cifNumber1 = jt_cifNumber1;
    }

    public void setJt_cifNumber2(String jt_cifNumber2) {
        this.jt_cifNumber2 = jt_cifNumber2;
    }

    public void setJt_cifNumber3(String jt_cifNumber3) {
        this.jt_cifNumber3 = jt_cifNumber3;
    }

    public void setJt_cifNumber4(String jt_cifNumber4) {
        this.jt_cifNumber4 = jt_cifNumber4;
    }

    public void setJt_cifNumber5(String jt_cifNumber5) {
        this.jt_cifNumber5 = jt_cifNumber5;
    }

    public void setJt_cifNumber6(String jt_cifNumber6) {
        this.jt_cifNumber6 = jt_cifNumber6;
    }

    public void setJt_cifNumber7(String jt_cifNumber7) {
        this.jt_cifNumber7 = jt_cifNumber7;
    }

    public void setJt_cifNumber8(String jt_cifNumber8) {
        this.jt_cifNumber8 = jt_cifNumber8;
    }

    public void setJt_cifNumber9(String jt_cifNumber9) {
        this.jt_cifNumber9 = jt_cifNumber9;
    }

    public void setJt_cifNumber10(String jt_cifNumber10) {
        this.jt_cifNumber10 = jt_cifNumber10;
    }

    public String getJt_cifName1() {
        return jt_cifName1;
    }

    public String getJt_cifName10() {
        return jt_cifName10;
    }

    public String getJt_cifName2() {
        return jt_cifName2;
    }

    public String getJt_cifName3() {
        return jt_cifName3;
    }

    public String getJt_cifName4() {
        return jt_cifName4;
    }

    public String getJt_cifName5() {
        return jt_cifName5;
    }

    public String getJt_cifName6() {
        return jt_cifName6;
    }

    public String getJt_cifName7() {
        return jt_cifName7;
    }

    public String getJt_cifName8() {
        return jt_cifName8;
    }

    public String getJt_cifName9() {
        return jt_cifName9;
    }

    public void setJt_cifName1(String jt_cifName1) {
        this.jt_cifName1 = jt_cifName1;
    }

    public void setJt_cifName10(String jt_cifName10) {
        this.jt_cifName10 = jt_cifName10;
    }

    public void setJt_cifName2(String jt_cifName2) {
        this.jt_cifName2 = jt_cifName2;
    }

    public void setJt_cifName3(String jt_cifName3) {
        this.jt_cifName3 = jt_cifName3;
    }

    public void setJt_cifName4(String jt_cifName4) {
        this.jt_cifName4 = jt_cifName4;
    }

    public void setJt_cifName5(String jt_cifName5) {
        this.jt_cifName5 = jt_cifName5;
    }

    public void setJt_cifName6(String jt_cifName6) {
        this.jt_cifName6 = jt_cifName6;
    }

    public void setJt_cifName7(String jt_cifName7) {
        this.jt_cifName7 = jt_cifName7;
    }

    public void setJt_cifName8(String jt_cifName8) {
        this.jt_cifName8 = jt_cifName8;
    }

    public void setJt_cifName9(String jt_cifName9) {
        this.jt_cifName9 = jt_cifName9;
    }

    
}
